Subject: ISO-8859-1 translation on sunos

From: Arthur Snoke <[email-masked]>
Date: Mon, 11 May 1998 17:59:48 -0400 (EDT)

I just joined the list.  I checked the recent archives but did not see
this issue discussed.

My problem is that much of hte world seems to be sending things in
ISO-8859-1 charactert set rather than US-ASCII, and, many simple
characters get mistranslated -- like the ' in Don't.  The pine technical
notes tell me that my terminal emulator should be able to handle this
character set, but I have not cracked the code.  When I open the same
message using Netscape Mail, it looks fine.

I have pine 3.96 on a Sun Sparcstation using operating system sunos 4.1.4.
I spawn pine from an xterm window.  I have the lines listed below in my
mailcap file, but maybe there is something I should be filling in (like
"needsterminal").

Thanks in advance for any assistance,

Arthur Snoke

Lines from ~/doc/mailcap

# The following gives rudimentary capability for receiving
# text mail in the ISO-8859-1 character set, which covers many European
# languages, and the ISO-8859-8 character set, which includes Hebrew
# Note that the pipe to tr ensures that the "ISO" is case-insensitive.
# (This is also from metamail.)
text/plain; shownonascii iso-8859-8 %s; test=test "`echo %{charset} | tr
'[A-Z]'
 '[a-z]'`" = iso-8859-8 -a -n "$DISPLAY" ; copiousoutput
text/plain; shownonascii iso-8859-8 %s | more ; test=test "`echo
%{charset} | tr
 '[A-Z]' '[a-z]'`" = iso-8859-8; needsterminal
text/plain; shownonascii iso-8859-1 %s; test=test "`echo %{charset} | tr
'[A-Z]'
 '[a-z]'`" = iso-8859-1 -a -n "$DISPLAY" ; copiousoutput
text/plain; shownonascii iso-8859-1 %s | more ; test=test "`echo
%{charset} | tr
 '[A-Z]' '[a-z]'`" = iso-8859-1 ; needsterminal